#!/usr/bin/python

__author__ = "Miroslav Broz (miroslav.broz@email.cz)"
__version__ = "Jun 25th 2013"

def jd(y,m,d):

    """
    Compute Julian date from ordinary year, month, day.

    Input:
      y ... year (float number)
      m ... month
      d ... day (decimal)
   
    Output:
      jd ... Julian date
   
    Reference: Pokorny, Z.: Astronomicke algoritmy pro kalkulatory.
      Hvezdarna a planetarium hl. m. Prahy, Praha, 1988.

    """

    if (m > 2):
        yy = y
        mm = m
    else:
        yy = y-1
        mm = m+12

    jd1 = int(365.25*yy) + int(30.6001*(mm+1)) + d + 1720994.5

    if (int(y) > 1582) or ((int(y) == 1582) and (int(m) > 10)) or ((int(y) == 1582) and (int(m) == 10) and (int(d) > 15)):
        a = int(yy/100.)
        b = 2.-a+int(a/4.)
        jd1 = jd1+b

    return jd1


